//
//Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.heading;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use Heading class in pdf.
 */
public class HeadingExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
    	//	License lic  = new License();
    	//     	try {
    	//         		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
    	//     	} catch (Exception e) {
    	//     		System.out.println(e.getMessage());
    	//     	}
            
            try{
    			Pdf pdf = new Pdf();
    			
    			
    			//add a section
    			Section sec1 = pdf.getSections().add();
    			sec1.setIsSpaced(true);
    			
    			Text text1 = new Text(sec1);
    	        sec1.getParagraphs().add(text1);
    	        
    	        //use rgb colorspace
    	        Segment seg1 = new Segment(text1,"This example shows how to use Heading in pdf. \n");
    	        text1.getSegments().add(seg1);
    	        seg1.getTextInfo().setTextColor(new RgbColorSpace((short)255,(short)0,(short)255));
    	        
    	        Heading heading = new Heading(pdf, sec1,1);
    	        heading.getContent().setContent("heading level1");
    	        Heading heading2 = new Heading(pdf,sec1,2);
    	        heading2.getContent().setContent("heading level2");
    	        heading2.setHeadingType(HeadingType.RomanLower);
    	        
    	        Heading heading3 = new Heading(pdf,sec1,3);
    	        heading3.getContent().setContent("heading level3");
    	        
    	        //heading3.setHeadingType(HeadingType.RomanUpper);
    	        
    	        Heading heading4 = new Heading(pdf,sec1,1);
    	        heading4.getContent().setContent("heading level4");
    	        Heading heading5 = new Heading(pdf,sec1,2);
    	        heading5.getContent().setContent("heading level5");
    	        heading5.setStartNumber(1);
    	        
    	        sec1.getParagraphs().add(heading);
    	        sec1.getParagraphs().add(heading2);
    	        sec1.getParagraphs().add(heading3);
    	        sec1.getParagraphs().add(heading4);
    	        sec1.getParagraphs().add(heading5);
    	        
    	        
    	        
    			pdf.save(new FileOutputStream(new File("exampleOutput/HeadingExample.pdf")));
    		}catch(java.io.IOException ioe){
    			System.out.println(ioe.getMessage());
    		}catch(AsposeBaseException e){
    			System.out.println(e.getMessage());
    		}
        }
}
